// slush/default/questions.js
'use strict';

// require defaults
var defaults = require('./defaults');

// require gulp-util
var gutil = require('gulp-util');

// set questions
function setQuestions() {

    var prompts = [{
        name: 'projectName',
        message: gutil.colors.magenta('What is the name of your project?'),
        default: defaults.projectName
    }, {
        name: 'projectDescription',
        message: gutil.colors.magenta('What is the description?')
    }, {
        name: 'projectVersion',
        message: gutil.colors.magenta('What is the version of your project?'),
        default: '1.0.0'
    }, {
        name: 'projectUser',
        message: gutil.colors.magenta('What is your name / username?')
    }, {
        type: 'confirm',
        name: 'slack',
        message: gutil.colors.magenta('Does your team use Slack?'),
        default: false
    }, {
        type: 'input',
        name: 'webhook',
        message: gutil.colors.magenta('What is your webhook url?'),
        when: function (answers) {
            return answers.slack;
        }
    }, {
        type: 'list',
        name: 'cssFramework',
        message: gutil.colors.magenta('What is the css framework want to use?'),
        choices: ['none', 'foundation-sites', 'bootstrap-v4.0.0-alpha', 'mdl', 'materialize'],
        default: 'none'
    }, {
        type: 'checkbox',
        name: 'iconFonts',
        message: gutil.colors.magenta('Which icon fonts want to include?'),
        choices: [{
            name: 'Font Awesome',
            value: 'fontAwesome',
            checked: true
        }, {
            name: 'Foundation Icon Fonts',
            value: 'foundationIconFonts',
        }, {
            name: 'Ionicons',
            value: 'ionicons',
        }, {
            name: 'IcoMoon',
            value: 'icoMoon',
        }, {
            name: 'Octicons',
            value: 'octicons',
        }, {
            name: 'Typicons',
            value: 'typicons',
        }, {
            name: 'Devicons',
            value: 'devicons',
        }]
    }, {
        type: 'confirm',
        name: 'moveon',
        message: gutil.colors.green('Continue?')
    }];

    return prompts;

}

module.exports = setQuestions();