// gulp/tasks/base/slack.js
'use strict';

// ----------------------------------
// available tasks: 
//    'gulp build:slack'      : notify slack channel on build
// ----------------------------------
// plugins:
//     gulp-slack   : $.slack
//     gulp-plumber : $.plumber 
// ----------------------------------
// config:
//     config.slack.build
// ----------------------------------

module.exports = function(gulp, $, path, config) {

  // post message(s) to slack
  gulp.task(config.task.build + ':slack', 'minify html files', function() {

    var slack = $.slack(config.slack.build)

    return gulp.src(path.to.dist.prod + '**/*.html')
      // prevent breaking errors
      .pipe($.plumber({
        errorHandler: config.error
      }))

      .pipe(slack([config.slack.build.messaging]))

    });

};