// gulp/tasks/build/html.js
'use strict';

// ----------------------------------
// available tasks: 
//    'gulp build:useref'        : useref assets
// ----------------------------------
// plugins:
//      gulp-useref  : $.useref
//      gulp-plumber : $.plumber
// ----------------------------------
// config:
//     config.task.build : task name
// ----------------------------------

module.exports = function(gulp, $, path, config) {

    // copy & prettify html files task
    gulp.task(config.task.build + ':useref', 'concatenate needed js + css files in our html', function() {

        return gulp.src(path.to.dist.dev + '**/*.html')
            // prevent breaking errors
            .pipe($.plumber({
                errorHandler: config.error
            }))
            // minify HTML
            .pipe($.useref())
            .pipe(gulp.dest(path.to.dist.prod));

    });

};